---
lang: en
title: 'API docs: openapi-v3.oasenhancerservice.applyallenhancers'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.oasenhancerservice.applyallenhancers.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [OASEnhancerService](./openapi-v3.oasenhancerservice.md) &gt; [applyAllEnhancers](./openapi-v3.oasenhancerservice.applyallenhancers.md)

## OASEnhancerService.applyAllEnhancers() method

Generate OpenAPI spec by applying ALL registered enhancers TBD: load enhancers by group names

**Signature:**

```typescript
applyAllEnhancers(options?: {}): Promise<OpenApiSpec>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

options


</td><td>

{}


</td><td>

_(Optional)_


</td></tr>
</tbody></table>
**Returns:**

Promise&lt;[OpenApiSpec](./openapi-v3.openapispec.md)<!-- -->&gt;


